import { HtmlTextParser } from "../../libs/new_wx/HtmlTextParser";
import Panel from "../../libs/new_wx/components/Panel";
import { newShowLog, newClickLog } from "../Main";


export default class NoPrizePanel extends Panel {
    closeBtn2: eui.Image
    start(data) {
        super.start();
        newShowLog(7);
        //如果没有次数就替换图片
        if (data && data.notimes) this['closeBtn2'].source = "zhidaole_png"
        this['closeBtn2'].addEventListener(egret.TouchEvent.TOUCH_TAP, () => {
            newClickLog(7)
            this.hidePanel();
        }, this)
    }

    protected get closeBtns(): eui.Button[] { return [this['closeBtn']] }

    get skinKey() { return 'NoPrize' }
}